## org.apache.myfaces.custom.sortheader
Class HtmlCommandSortHeader

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  javax.faces.component.html.HtmlCommandLink
                      org.apache.myfaces.component.html.ext.HtmlCommandLink
                          org.apache.myfaces.custom.sortheader.HtmlCommandSortHeader

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder, UserRoleAware

public class HtmlCommandSortHeader
extends HtmlCommandLink

Version:
  $Revision: 219788 $ $Date: 2005-07-19 18:30:10 -0400 (Tue, 19 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: schof $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`HtmlCommandSortHeader()`

Method Summary
`void` `broadcast(javax.faces.event.FacesEvent event)`
`HtmlDataTable` `findParentDataTable()`
`java.lang.String` `getColumnName()`
`java.lang.String` `getFamily()`
`boolean` `isArrow()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setArrow(boolean arrow)`
`void` `setColumnName(java.lang.String columnName)`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlCommandLink
`getClientId, getEnabledOnUserRole, getTarget, getVisibleOnUserRole, isRendered, setEnabledOnUserRole, setTarget, setVisibleOnUserRole`

Methods inherited from class javax.faces.component.html.HtmlCommandLink

`getAccesskey, getCharset, getCoords, getDir, getHreflang, getLang, getOnblur, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRel, getRev, getShape, getStyle, getStyleClass, getTabindex, getTitle, getType, setAccesskey, setCharset, setCoords, setDir, setHreflang, setLang, setOnblur, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRel, setRev, setShape, setStyle, setStyleClass, setTabindex, setTitle, setType`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionListener, getActionListeners, getValue, isImmediate, queueEvent, removeActionListener, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlCommandSortHeader

    public HtmlCommandSortHeader()

Method Detail

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Throws:
    `javax.faces.event.AbortProcessingException`

### findParentDataTable

    public HtmlDataTable findParentDataTable()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `HtmlCommandLink`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `HtmlCommandLink`

### getFamily

    public java.lang.String getFamily()

### setColumnName

    public void setColumnName(java.lang.String columnName)

### getColumnName

    public java.lang.String getColumnName()

### setArrow

    public void setArrow(boolean arrow)

### isArrow

    public boolean isArrow()